Subject: S/MIME support in SMTP Gateway

From: "Prasad, Nandi" <[email-masked]>
Date: Wed, 21 Mar 2001 17:04:55 +0530

Hello everybody

	I am working in a project which invloves S/MIME support in the SMTP
Gateway which acts as a gateway between Internet and X.400 world. Our
Gateway
is connected to X.400 MTA and converts any Internet message (text/MIME) onto

equivalent X.400 IPM and vice versa.

	At this point of time what we expect to do is convert/tunnel the
incoming 
S/MIME message from Internet into X.400.I have gone through many documents 
but haven't found any clear information about S/MIME support in X.400. The
current 
drafts "draft-ietf-smime-x400transport" and  "draft-ietf-smime-x400wrap"
gives me 
some information about transporting S/MIME in X.400.

	I have some queries about them and they are as follows:

a) What I understand about the "draft-ietf-smime-x400transport" is that one 
    has to transport the CMS object as a seperate content with the
"content-type" 
    field pf the P1 envelope containing OIDs {1 2 840 113549 1 7 1}  ( if
the CMS
    object has a MIME wrapper) or {1 2 840 113549 1 9 16 1 6} (If the CMS
object 
    doesn't have a MIME wrapper).

b) Coming to the transport of S/MIME messages from Internet to X.400 via a
SMTP 
    gateway,  I assume that the format of the message that arrives at the
Gateway 
    from Internet will be according to RFC 2633( i.e S/MIME Version 3
Message 
    specification). The Gateway has to suitably interpret the S/MIME message
and 
    build an equivalent X.400 message with the CMS object solely being the
content 
    of the X.400 message and vice versa for a message that comes from X.400
side.
    To be more precise X.400 MTA's functionality is to just transfer message
based
    on the information available in the P1 envelope, without bothering about
the 
    syntax of the content. Is my assumption correct?

c) X.420 (1999) recomendations defines PKCS7 as one of standard IPM
bodyparts.Since
    CMS is derived from or is a subset of PKCS7, can it be used to convey
CMS object 
    into X.400 from Internet?

I am using Microsoft Exchange Server connected to our X.400 MTA via the
Exchange 
X.400 connector for testing purposes. We use Exchange server as a S/MIME UA.
The
test setup is  briefly as follows:

Internet <------> SMTP Gateway <----> X.400 MTA <------------------------->
Exchange MTA 
				      (Digital)          X.400 connector
( Microsoft)

	Our Gateway follows the RFCs MIME, MIXER and creates an IPM
accordingly in
X.400. We have our own MTA which supports IPM( 1984 and 1988), IPN, EDI
messages.

	Can anyone clarify my doubts/assumptions.

Regards
Nandiprasad J.M

---

From: "Eggen, Anders" <[email-masked]>
Date: Wed, 21 Mar 2001 14:20:41 +0100

Nandiprasad J.M,

a) 
	What I understand about the "draft-ietf-smime-x400transport" is that
one 
	 has to transport the CMS object as a seperate content with the
	"content-type"  field pf the P1 envelope containing OIDs {1 2 840
113549 1 7 1}  ( if
	the CMS object has a MIME wrapper) or {1 2 840 113549 1 9 16 1 6}
(If the CMS
	object doesn't have a MIME wrapper).
Your assumption is correct.

b)
	To be more precise X.400 MTA's functionality is to just transfer
message
	based on the information available in the P1 envelope, without
bothering about
	the syntax of the content. Is my assumption correct?

Your assumption is correct. It is the User Agent that has to be able to
process the format of the content. 
c) 
	X.420 (1999) recomendations defines PKCS7 as one of standard IPM
	bodyparts.Since CMS is derived from or is a subset of PKCS7, can it
be used to convey
	CMS object into X.400 from Internet?
I assume this should be possible, I have to look into this and come back to
you. 
Has anybody else looked into this?

Anders Eggen

> -----Opprinnelig melding-----
> Fra:	Prasad, Nandi [SMTP:[email-masked]]
> Sendt:	Wednesday, March 21, 2001 12:35 PM
> Til:	[email-masked]'
> Emne:	S/MIME support in SMTP Gateway
> 
> Hello everybody
>